// This Source Code Form is subject to the terms of the Mozilla Public
// License, v. 2.0. If a copy of the MPL was not distributed with this
// file, You can obtain one at http://mozilla.org/MPL/2.0/.

// Copyright (c) 2018 Alexandre Storelli

"use strict";
const axios = require("axios");

module.exports = async function(exturl) {
	try {
		const req = await axios.get(exturl);
		const parsedResult = req.data;
		var artist = parsedResult.itms[0].art;
		var title = parsedResult.itms[0].tit;
		var cover = "http://players.nrjaudio.fm/live-metadata/player/img/600x/" + parsedResult.itms[0].cov;
		return { artist: artist, title: title, cover: cover };

	} catch (err) {
		return { error: err };
	}
}